﻿/*-------------------------------------------------------------------------------------------------------------
** module:			TX Text Control Words
**	file:				FrmMergeWaitDialog.cs
**
** copyright:		© Text Control GmbH, 1991-2013
** author:			T. Kummerow
**-----------------------------------------------------------------------------------------------------------*/
using System.Windows.Forms;

namespace TX_Text_Control_Words
{
   public partial class FrmMergeWaitDialog : Form
   {
      public FrmMergeWaitDialog()
      {
         InitializeComponent();
      }

      private const int CP_NOCLOSEBUTTON = 0x0200;
      protected override CreateParams CreateParams
      {
         get
         {
            // Disable the close button
            var cp = base.CreateParams;
            cp.ClassStyle |= CP_NOCLOSEBUTTON;
            return cp;
         }
      }
   }
}
