﻿/*-------------------------------------------------------------------------------------------------------------
** module:			TX Text Control Words
**	file:				DocumentTargetComparer.cs
** description:	This file contains a class implementing IComparer.
**
** copyright:		© Text Control GmbH, 1991-2013
** author:			T. Kummerow
**-----------------------------------------------------------------------------------------------------------*/
using System.Collections.Generic;

namespace TX_Text_Control_Words
{
   /// <summary>
   /// Needed for List&lt;T&gt;.Sort
   /// </summary>
   class DocumentTargetComparer : IComparer<TXTextControl.DocumentTarget>
   {
      #region IComparer<DocumentTarget> Members

      public int Compare(TXTextControl.DocumentTarget x, TXTextControl.DocumentTarget y)
      {
         return x.Start - y.Start;
      }

      #endregion
   }
}
