﻿/*-------------------------------------------------------------------------------------------------------------
** module:			TX Text Control Words
**	file:				MergeBlockComparer.cs
** description:	This file contains a class implementing IComparer.
**
** copyright:		© Text Control GmbH, 1991-2013
** author:			T. Kummerow
**-----------------------------------------------------------------------------------------------------------*/
using System.Collections.Generic;

namespace TX_Text_Control_Words
{
   /// <summary>
   /// Needed for List&lt;T&gt;.Sort.
   /// </summary>
   public class MergeBlockComparer : IComparer<MergeBlock>
   {
      #region IComparer<MergeBlock> Members

      int IComparer<MergeBlock>.Compare(MergeBlock x, MergeBlock y)
      {
         return x.Length - y.Length;
      }

      #endregion
   } // class MergeBlockComparer
}
